//
//  LVIMSession.h
//  CMIMLib
//
//  Created by Wing on 2020/8/31.
//  Copyright © 2020 cmcm. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "LVIMMessage.h"

NS_ASSUME_NONNULL_BEGIN

@interface LVIMSession : NSObject

//会话类型,LVIM_CMD_TYPE_CHAT或;LVIM_CMD_TYPE_GROUPCHAT
@property (nonatomic, assign) int32_t type;
//会话id
@property (nonatomic, copy) NSString *sessionid;
//是否是置顶会话
@property (nonatomic, assign) BOOL top;
//本会话的最新一条消息
@property (nonatomic, strong) LVIMMessage *lastMsg;
//会话消息未读数
@property (nonatomic, assign) NSInteger unreadCount;

@end

NS_ASSUME_NONNULL_END
