/**
 * @className：lv_im_image_msg
 * @description: [功能描述]
 * @author baipeng
 */

import 'package:flutter/material.dart';

import 'lv_im_msg.dart';

class LVIMImageMsg extends LVIMMsg {

  ///是否保存数据库
  int needSaveToDB = 0;

  ///图片
  String image = "";

  ///图片大小
  String imageSize = "0";

  ///缩略图图片
  String thumbnailImage = "";

  ///缩略图图片大小
  String thumbnailImageSize = "0";

  ///是否原图
  bool isOrigin = false;

  ///图片key及地址等信息
  Map imageFile = {};

  ///缩略图图片key及地址等信息
  Map thumbnailImageFile = {};

  void convertFromMap(dynamic args) {
    super.convertFromMap(args);
    this.needSaveToDB = args["needSaveToDB"] ?? 0;
    this.image = args["image"] ?? "";
    this.imageSize = args["imageSize"] ?? "0";
    this.thumbnailImage = args["thumbnailImage"] ?? "";
    this.thumbnailImageSize = args["thumbnailImageSize"] ?? "0";
    this.isOrigin = args["isOrigin"] ?? false;
    this.imageFile = args["imageFile"] ?? {};
    this.thumbnailImageFile = args["thumbnailImageFile"] ?? {};
  }

  Map<dynamic, dynamic> toMap() {
    Map map = super.toMap();
    map.addAll({
      "needSaveToDB": needSaveToDB == null ? 0 : needSaveToDB,
      "image": image == null ? "" : image,
      "imageSize": imageSize == null ? "0" : imageSize,
      "thumbnailImage": thumbnailImage == null ? "" : thumbnailImage,
      "thumbnailImageSize":
          thumbnailImageSize == null ? "0" : thumbnailImageSize,
      "isOrigin": isOrigin == null ? false : isOrigin,
      "imageFile": imageFile == null ? {} : imageFile,
      "thumbnailImageFile": thumbnailImageFile == null ? {} : thumbnailImageFile
    });
    return map;
  }
}
